package net.pricefx.common.apibuilder.calculationflowaction;

import java.util.ArrayList;
import java.util.List;

import net.pricefx.common.api.CFTraitType;
import net.pricefx.common.api.CalculationFlowTimeUnit;
import net.pricefx.common.apibuilder.BuilderExtensions.GroovyDefaultImport;

public class CalculationFlowActionExtensions {

	public static boolean isBuilderClass(Object o) {
		return 
		o instanceof CalculationFlowActionBuilder ||
		o instanceof Help ||
		o instanceof CaclulationFlowActionBuilderResult ||
		
		o instanceof CFSAction ||
		o instanceof PricelistAction ||
		o instanceof ManualPricelistAction ||
		o instanceof LivePriceGridAction ||
		o instanceof SimulationAction ||
		o instanceof PriceAPIAction ||
		o instanceof ExportAction ||
		o instanceof RebateRecordAction ||
		o instanceof ObjRefAction ||
		o instanceof ScheduleSettings ||
		o instanceof CFTraitType ||
		o instanceof CalculationFlowTimeUnit ||
		o instanceof DataLoadAction;
	}
	
	public static List<GroovyDefaultImport> getGroovyDefaultImports() {
		ArrayList<GroovyDefaultImport> defaultImports = new ArrayList<GroovyDefaultImport>();

		defaultImports.add(new GroovyDefaultImport("CalculationFlowTimeUnit", CalculationFlowTimeUnit.class));
		defaultImports.add(new GroovyDefaultImport("CFTraitType", CFTraitType.class));
		
		return defaultImports;
	}
	
	// class.isInstance not supported by gwt compiler
	public static boolean isDefaultImport(Object o) {
		
		if (o instanceof CalculationFlowTimeUnit) return true;
		
		return false;
	}
	
	public static boolean isClass(Object o) {
		return false;
	}
	
}
