package net.pricefx.formulaengine.scripting.inputbuilder;

import net.pricefx.common.api.InputType;
import net.pricefx.common.api.PriceFxInterface;

/**
 * Builder class for input type Button {@link InputType#BUTTON}
 */
public class ButtonInputBuilder<VT> extends AbstractInputBuilder<ButtonInputBuilder,VT> {

    protected ButtonInputBuilder(InputBuilderContext builderContext, String paramName) {
        super(builderContext, InputType.BUTTON, paramName);
    }

    public ButtonInputBuilder setUrl(String url) {
        cp.setURL(url);
        return this;
    }

    public ButtonInputBuilder setTargetPage(String targetPage) {
        cp.setConfigParameter(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_TARGETPAGE, targetPage);
        return this;
    }

    public ButtonInputBuilder setTargetPageState(String targetPageState) {
        cp.setConfigParameter(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_TARGETPAGESTATE, targetPageState);
        return this;
    }

    public ButtonInputBuilder setTargetPageComponent(String targetPageComponent) {
        cp.setConfigParameter(PriceFxInterface.FIELD_CONTEXTPARAM_CONFIG_TARGETPAGECOMPONENT, targetPageComponent);
        return this;
    }

    @Override
    protected Object _getInput() {
        return null;
    }
}
